Level 1

I am considering using ProConnect Tax Online in my practice. I have recently upgraded my Microsoft Edge browser (version 79). However, I am still receiving the message "ProConnect Tax Online doesn't support your browser" which indicates I would need Edge 49 or higher.

Any ideas as to why this still isn't working?

Labels (1)
0 Cheers
Level 15

PTO could be temperamental, sometimes even with recommended browsers (namely, Chrome, Firefox, and Safari).  Would suggest that you switch to one of the recommended browsers.

https://proconnect.intuit.com/community/help-articles/help/system-requirements-for-proconnect-tax-on...

---------------------------------------------------------------------------------
Still an AllStar

View solution in original post

Level 1

Thank you! Exactly what I needed to hear!

0 Cheers
Level 15

NP, @Advocate2020.  Glad to be of help.

---------------------------------------------------------------------------------
Still an AllStar
0 Cheers